Subject: [bug#75981] [PATCH (WIP) v1.5 3/4] Add 'guix fork update'.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 02 Feb 2025 19:23:47 +0100

Am Montag, dem 03.02.2025 um 01:21 +0900 schrieb Maxim Cournoyer:
> So the idea is to avoid rewriting the fork's introductory
> commit and instead rewriting (rebasing) the Guix upstream commits on
> top, which will resign them with the fork's authorized key, IIUC?
> 
> That's clever, but personally I much prefer to keep any work I've
> done *rebased* on upstream so they are easily (re-)submitted, and
> it's clear what extra work my fork has.  Seems like a good way for
> "forks" to hide potentially bad commits hidden under thousands of
> rust commits, obscuring them.
> 
> I think Liliana had that remark as well in the associated issue.
I did remark that, yet :)

The problem with rebasing on Guix is that you will have to update the
introduction on each rebase (or indeed use an unauthenticated fork). 
If you do record the introduction, say, in your own channels.scm, `guix
pull` will break, which 45mg wants to avoid.

As you wrote in your first message, it appears somewhat counter-
productive to offer `guix fork` as a means of authoring such long-lived
forks, but sentiments aside, that's precisely the goal of this series.

Cheers